package com.dxhy.common.enums;

/**
 *
 *
 * excel导出业务类型
 *
 * @author xuyongyun
 * @date 2019年4月30日
 *
 */
public enum ExcelServiceTypeEnum {
    /**
     * 发票采集汇总导出
     */
    FPCJ_HZ(1, 1),
    /**
     * 发票采集汇总导出
     */
    FPCJ_YCPHZ(2, 2),
    /**
     * 发票未补明细导出
     */
    FPCJ_WBMX(3, 3),
    /**
     * 企业税务信息
     */
    FPRZ_QYSWXX(4, 4),
    /**
     * 企业税务信息
     */
    FPRZ_RZCX(5, 5),
    /**
     * 逾期发票报表
     */
    BB_YQFP(6, 6),
    /**
     * 异常发票查询
     */
    BB_YCFPCX(7, 7),
    /**
     * 异常发票报表
     */
    BB_YCFPBB(8, 8),
    /**
     * 进项税额报表
     */
    BB_JXSEBB(9, 9),
    /**
     * 进项税额抵扣明细报表
     */
    BB_JXDKMXBB(10, 10),
    /**
     * 发票认证日报
     */
    BB_FPRZRB(11, 11),
    /**
     * 发票认证月报
     */
    BB_FPRZYB(12, 12),
    /**
     * 认证结果清单
     */
    BB_RZJGQD(13, 13),
    /**
     * 发票签收统计
     */
    BB_FPQSTJ(14, 14),
    /**
     * 认证发票汇总
     */
    BB_RZFPHZ(15, 15),
    /**
     * 签收失败
     */
    BB_QSSB(16, 16),
    /**
     * 已签收未认证
     */
    BB_YQSWRZ(17, 17),
    /**
     * 发票预警 逾期预警 导出
     */
    YJ_YQYU(18, 18),
    /**
     * 发票预警 异常发票预警 导出
     */
    YJ_YCFP(19, 19),
    /**
     * 发票预警 普票跨年度预警 导出
     */
    YJ_PPKND(20, 20),

    /**
     * 进项税转出 已转出进项税 导出
     */
    JXSZC_YZCJXS(21, 21),
    /**
     * 电票管理 电票查询 导出
     */
    DPGL_DPCX(22, 22),

    /**
     * 报表发票综合查询导出
     */
    BB_FPZHCX(23, 23),
    /**
     * 查验历史导出
     */
    CHECK_HISTORY(24, 24),
    /**
     * 报表发票综合查询明细导出
     */
    BB_FPZHCXMX(25, 25),
    /**
     * 报表发票综合查询税率导出
     */
    BB_FPZHCXSL(26, 26),
    /**
     * 签收查询列表导出
     */
    FPQS_QSCX(27, 27),

    FPQS_SGQS(28, 28),

    /**
     * 查验明细
     */
    CHECK_HISTORY_DETAIL(29, 29),

    /**
     * 查验综合查询
     */
    CHECK_LIST(30, 30),
    /**
     * 查验综合查询
     */
    GXFPQR(31, 31),
    /**
     * 订单确认导出
     */
    ORDER_CONFIRM(32, 32),
    /**
     * 订单查询TATA
     */
    ORDER_SEARCH_TT(33, 33),
    /**
     * 订单明细查询
     */
    ORDER_SEARCH_DETAIL(34, 34),
    /**
     * 订单查询GYS
     */
    ORDER_SEARCH_GYS(35, 35),
    /**
     * 订单明细导出GYS
     */
    ORDER_SEARCH(36, 36),
    /**
     * 接口推送监控
     */
    JKTSJK(37, 37),
    /**
     * d订单退回导出
     */
    ORDER_BACK(38, 38),
    /**
     * 手工认证导出
     */
    HANDRZ(39, 39),
    /**
     * 混扫导出
     */
    HUNSAO(40, 40),
    /**
     * 退税导出
     */
    TS_AUTH(41, 41),

    CUSTOMS_COLLECT(42, 42),
    /**
     * 缴款书认证查询导出
     */
    CUSTOMS_RZCX(43, 43),
    /**
     * 海关缴款书录入
     */
    CUSTOMS_INSERT(44, 44),
    /**
     * 缴款书手工签收
     */
    CUSTOMS_MANUAL_SIGN(45, 45),
    /**
     * 出口-发票认证查询导出
     */
    EXPORT_INVOICE_RZCX(46, 46),
    /**
     * 出口-缴款书认证查询导出
     */
    EXPORT_CUSTOMS_RZCX(47, 47),

    CUSTOMS_SIGN_QUERY(48, 48),

    // 退税认证-海关缴款书认证查询导出
    CUSTOMS_REFUND_VERI_QUERY(49, 49),
    // 统计报表-转内销发票查询导出
    EXPORT_INVOICE_QUERY(50, 50),
    // 统计报表-转内销缴款书查询导出
    EXPORT_CUSTOMS_QUERY(51, 51),
    // 海关缴款书综合查询
    CUSTOMS_QUERY(52, 52),
    //发票扫描明细
    MRYX_QSCX(53, 53),

    // 企业票池实名客票
    QYPCSMKP(54, 54),
    // 黑名单导出
    EXPORT_HMD(55, 55),
    // 违规信息导出56-60票池使用
    EXPORT_VIOLATION(61, 61),
    // 供应商风险
    SUPPLIER_RISK(62, 62),
    // 风险发票
    INVOICE_RISK(63, 63),
    // 认证结果清单PDF导出
    RZJGQD_PDF(64, 64),
    //发票明细导出
    BB_FPMX(65, 65),
    //票池-海关缴款书导出
    CUSTOMS_PC(66,66),

    //乐企，异常发票信息导出
    LQ_FPYCXX(67,67),

    //乐企，异常海关缴款书导出
    LQ_CUSTOM_FPYCXX(68,68),

    //票池下载电子源文件
    PC_DOWNLOAD_SOURCE(69,69),

    //运维管理发票数量统计表导出
    YWGL_FPSLTJB(70,70),

    //发票认证--手工认证页面导出
    FPRZ_SGRZ(71,71),

    //成品油勾选页面-导出
    CPY_GX_EXPORT(72,72),
    //成品油勾选页面-缴款书导出
    CPY_GX_CUSTOMS_EXPORT(73,73),
    //抵扣统计页面，下载认证明细
    DK_COUNT_EXPORT(74,74)

    ;

    private int serviceType;
    private int index;

    ExcelServiceTypeEnum(int serviceType, int index) {
        this.serviceType = serviceType;
        this.index = index;
    }

    public int getServiceType() {
        return serviceType;
    }

    public void setServiceType(int serviceType) {
        this.serviceType = serviceType;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
